#!/usr/local/bin/tcsh
#
# $Revision: 1.6 $
# $Name: release-devel-1_2 $
#

if("$1" == "" || "$1" == "-h" || "$1" == "--help") then
    cat <<EOF

Syntax:	$0:t <release>
Opt.:	-h | --help	- Show this help text.
	--devel		- Create more complete archive for developing
Create an archive with the name pmwiki-<release>.tar.gz
Note that before this is done, it is recommended that a TAG is set.
 
Ex.:	$0:t release-1.1

EOF
    exit
endif

set ExportDevel=0
# "parse" arguments
if("$1" == "--devel") then
    set ExportDevel=1; shift;
endif

set RELEASE=$1
set Verbose=1

# analyze arguments
if($ExportDevel) set RELEASE=devel-$RELEASE
set TAG=release-${RELEASE:s/./_/}

set dir = pmwiki
set files = ( pmwiki.el longlines.el \
	      http-post.el http-get.el )
if($ExportDevel) set files = ( $files:q \
	make-archive.sh TestPage.pmwiki testing-pmwiki.el )

#
# Tag files
#
if($Verbose) printf "Tagging files with %s\n" "$TAG"
cvs -Q tag -c -F $TAG:q $files:q
if($status) then
    printf "The files are not up to date!\n"
    cvs -nq update $files:q
    exit -1
endif

#
# Export the release
#
setenv CVSROOT `cat CVS/Root`
set MODULE=`cat CVS/Repository`
pushd /tmp >/dev/null
rm -rf $dir
if($Verbose) printf "Exporting module to %s\n" "`pwd`/$dir"
cvs -Q export -d $dir -r $TAG:q $MODULE
popd >/dev/null

set archive = `pwd`/pmwiki-$RELEASE.tar.gz
cd /tmp

if($Verbose) printf "Creating archive %s\n" "$archive:t"
tar czf $archive $dir
#
# List contents of archive
#tar tzvf $archive
